Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-48252

Allow WriteConflictExceptions in 4.4/4.2 multiversion moveChunk concurrency tests

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Won't Do
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Sharding
    • Sprint:
      Sharding 2020-07-13, Sharding 2020-06-01, Sharding 2020-06-15, Sharding 2020-06-29, Sharding 2020-07-27

      Description

      Iin FCV 4.2 the range deleter doesn't retry on WriteConflictExceptions. However, jstests (like the one linked) don't allow for these errors to crop up anymore, because in FCV 4.4 and newer, the range deleter retries on WriteConflictExceptions. We should allow WCEs when running on multiversion suites.

        Attachments

          Activity

            People

            Assignee:
            matthew.saltz Matthew Saltz
            Reporter:
            blake.oler Blake Oler
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: